{ inputs, lib, config, pkgs, outputs, ... }: {

  imports = [
    ../modules/neovim
    ../modules/cli
  ];

  nixpkgs = {
    config = {
      allowUnfree = true;                                                         # Allow unfree packages
      allowUnfreePredicate = (_: true);                                           # Workaround for https://github.com/nix-community/home-manager/issues/2942
    };
  };

  home = {
    username = "stefan";
    homeDirectory = "/home/stefan";
    stateVersion = "23.05";                                                       # https://nixos.wiki/wiki/FAQ/When_do_I_update_stateVersion
  };

  programs = {
    home-manager.enable = true;                                                   # Enable home-manager
    
  };

  systemd.user.startServices = "sd-switch";                                       # Reload system units when changing configs 
}
